<template lang="pug">
.application-overview-card
  a.name           {{apiData.name}}
  a.version        {{apiData.version}}
  a.access         {{apiData.access}}
  a.creator        {{apiData.creator}}
  a.value          {{apiData.value}}
  a.interest       {{apiData.interest}}
  a.code           {{apiData.code}}
  a.description    {{apiData.description}}
</template>

<script>
import {apiAOC} from "./api"

export default {
  name: 'ApplicationOverviewCard',
  props: { api: String },
  created() {
    console.log(apiAOC)
    apiAOC.get(this.$props.api)
    .then(rsp=>{this.$data.apiData=rsp.data})
    .catch(err=>{console.log(err)})
  },
  data : () => { return { apiData: {} } },
}
</script>

<style scoped lang="stylus">
@media (min-width:1001px) and (max-width: 3840px)
  .application-overview-card
    display                 grid
    grid-template-columns   repeat(8, 12.5%)
    grid-row-gap            1%
    a
      display flex
      align-items center
      justify-content center
@media (max-width: 1000px)
  .application-overview-card
    display                 grid
    grid-template-rows      repeat(8, 12.5%)
    a
      display flex
      align-items center
      justify-content center
</style>
